#!/usr/local/bin/ruby
# vi:set ts=3 sw=3:
# vim:set sts=0 noet:

require 'strscan'
require 'yaml'

require 'parser'
require 'lex'

scanner = nil
open(ARGV[0]){|file|
	str = file.read
	scanner = StringScanner.new(str)
}
parser = SFL::Parser.new
lex = SFL::Lex.new scanner
tree = parser.parse lex
print tree.to_yaml
